import 'package:comunic/ui/routes/main_route/main_route.dart';
import 'package:comunic/ui/widgets/tablet_mode/current_user_panel.dart';
import 'package:comunic/ui/widgets/tablet_mode/memberships_panel.dart';
import 'package:comunic/ui/widgets/tablet_mode/tablet_appbar_widget.dart';
import 'package:flutter/material.dart';

/// Main tablet route
///
/// @author Pierre Hubert

class TabletRoute extends StatefulWidget implements MainRoute {
  @override
  _TabletRouteState createState() => _TabletRouteState();
}

class _TabletRouteState extends State<TabletRoute> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: _buildAppBar(),
      body: _buildBody(),
    );
  }

  Widget _buildAppBar() => ComunicTabletAppBarWidget();

  Widget _buildBody() => Row(
        children: <Widget>[_buildLeftPane(), _buildRightPane()],
      );

  Widget _buildLeftPane() => Theme(
        data: Theme.of(context).copyWith(
          textTheme: TextTheme(body1: TextStyle(color: Colors.white)),
          iconTheme: IconThemeData(color: Colors.white),
        ),
        child: Container(
          width: 300,
          color: Color(0xFF222D32),
          child: Column(
            children: <Widget>[
              CurrentUserPanel(),
              Container(height: 20),
              Expanded(child: MembershipsPanel())
            ],
          ),
        ),
      );

  Widget _buildRightPane() => Container();
}
